aboutsummaryrefslogtreecommitdiff
path: root/share/hydractl/backup-restore-svn
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2011-09-27 15:29:42 -0300
committerSilvio Rhatto <rhatto@riseup.net>2011-09-27 15:29:42 -0300
commitc967d8a5f701d9fdfe65f8c965557632fb11a876 (patch)
tree47f05bef5a28758e8744f29e03491ee5b1265fb7 /share/hydractl/backup-restore-svn
parentd55569f80013310a97c33dbd2de41f76a6437ced (diff)
downloadhydra-c967d8a5f701d9fdfe65f8c965557632fb11a876.tar.gz
hydra-c967d8a5f701d9fdfe65f8c965557632fb11a876.tar.bz2
Coding backup-site
Diffstat (limited to 'share/hydractl/backup-restore-svn')
-rwxr-xr-xshare/hydractl/backup-restore-svn16
1 files changed, 16 insertions, 0 deletions
diff --git a/share/hydractl/backup-restore-svn b/share/hydractl/backup-restore-svn
index e69de29..91c0988 100755
--- a/share/hydractl/backup-restore-svn
+++ b/share/hydractl/backup-restore-svn
@@ -0,0 +1,16 @@
+#!/bin/bash
+#
+# Subversion backup restoration.
+#
+# TODO
+
+# Load.
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+hydra_backup_environment $*
+
+# Check if folder exist on the backup
+# Check if there's already a site folder and backup it
+# Copy site folder from backup
+# Fix permissions